| Version: 3.2.5

Public Member Functions | List of all members
wxPGInDialogValidator Class Reference

`#include <wx/propgrid/props.h>`

## Detailed Description

Creates and manages a temporary wxTextCtrl for validation purposes.

Uses wxPropertyGrid's current editor, if available.

## Public Member Functions

| wxPGInDialogValidator ()
| ~wxPGInDialogValidator ()
bool | DoValidate (wxPropertyGrid *propGrid, wxValidator *validator, const wxString &value)

## Constructor & Destructor Documentation

## ◆ wxPGInDialogValidator()

wxPGInDialogValidator::wxPGInDialogValidator | ( |  | ) |

## ◆ ~wxPGInDialogValidator()

wxPGInDialogValidator::~wxPGInDialogValidator | ( |  | ) |

## Member Function Documentation

## ◆ DoValidate()

bool wxPGInDialogValidator::DoValidate | ( | wxPropertyGrid * | propGrid,
|  | wxValidator * | validator,
|  | const wxString & | value
| ) |  |